The Platform Adoption API allows querying on the platform adoption event for a Celonis Platform team to provide an overview of how many users are accessing your studio packages and applications. This increased visibility into package usage helps you indetify packages that may benefit from their own views or find packages that are no longer being actively used. The Platform API can track Studio adoption based on: Views, Spaces, Packages and Time periods.
The base URLs for the Platfotm Adoption APIs are:
- Version 2: https://your-team.celonis.cloud/platform-adoption/api/external/v2/adoption-tracking-events/STUDIO_ASSET
- Version 1: https://your-team.celonis.cloud/platform-adoption/api/external/adoption-tracking-events/STUDIO_ASSET
Replace your-team with the name of your Celonis instance to access the Platform Adoption APIs.
Version 1.0 of this API will coninue to be supported, but will be deprecated in the future. It is recommended that users utilize v2.0 for all new implementations.
In order to use Version 2.0 of the Platform Adoption API, you must first:
- Call the new endpoint path:
GET /platform-adoption/api/external/v2/adoption-tracking-events/{STUDIO_ASSET}. - Implement a cursor loop for data retrieval.
- The first request should omit the
pageTokenparameter. - Subsequent requests must use the returned
nextPageTokenas the newpageToken. - Fetching should stop when
nextPageTokenis absent or empty.
The Platform Adoption API can be used to:
- Provide a full audit of event activity for a Celonis Platform team during a specific date range.
- Export user access data for Studio and Apps in order to better understand usage and adoption of packages and views.
This API supports multiple methods of authentication:
- (preferred method) Via OAuth 2.0 token with a scope
platform-adoption.tracking-events, passed in an HTTP header like this:Authorization: Bearer TOKEN. - Via Application keys passed in an HTTP header like this:
Authorization: AppKey APPLICATION_KEY. - Via API keys, passed in an HTTP header like this:
Authorization: Bearer API_KEY.
See this help page for more information about OAuth 2.0.